/* Stylise la page gestion du compte utilisateur */

.user-account_badge-container {
    display: block;
    max-width: 64px;
    margin-left: 60px;
    padding-right: 60px;
    padding-top: 2rem;
    padding-bottom: 2rem;
    /*margin-bottom: 40px;*/
    border-right: 1px solid var(--blue-gray-100);
}
.all_user-account_forms_container {
    width: 100%;
    min-width: 650px;
    padding-top: 2rem;
    padding-bottom: 2rem;
}
.user-account_container {
    background: var(--background);
    /*padding: 2rem 0;*/
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: row;
}
.forms_container {
    width: 100%;
    display: flex;
    flex-direction: column;
}
.user-account_form {
    padding-left: 10px;
    padding-right: 10px;
    /*margin: 1rem;*/
}
#user-account-form {
    border-bottom: 1px solid var(--blue-gray-100);
    padding-bottom: 40px;
}
.infos-form_container {
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    /*justify-content: space-between;*/
    height: 100%;
    margin: 0 auto;
    gap: 20px;
}
.infos-form_container>* {
    flex: 0 0 47%;
  }
.change_user_info_title, .change-pwd_title{
    height: 60px;
    padding: 10px;
    font-size: 16px;
    color: var(--Blue-Gray-900, #263238);
}
.button-container {
    display: flex;
    justify-content: end;
    width: 100%;
}
.user-account_change-button{
    width: 100%;
}
.user-account_btn {
    font-size: var(--font-size-400);
    font-weight: 400;
    letter-spacing: 1.25px;
    text-transform: uppercase;
    text-decoration: none;
    padding: 0.5rem 2rem;
    border-radius: 12px;
    border: 0 solid transparent;
    display: flex;
    text-align: center;
    justify-content: center;
    background: var(--primary-900);
    color: var(--white);
    margin: 0 10px;
}
p.password-info {
    color: var(--Blue-Gray-900, #263238);
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: 25px; /* 178.571% */
    letter-spacing: 0.25px;
    margin-top: -14px;
}
input.readonly:focus {
    outline: none;
}

@media only screen and (min-width: 1024px) {
    input.readonly:read-only {
        border: 0;
        box-shadow: none;
        background-color: var(--background);
    }
    .section_disconnect{
        display: none;
    }
    .users-useraccount>.users>.page>.page_content>.user-account_container>.all_user-account_forms_container>.dataTable-bottom {
        display: none;
    }
}
@media only screen and (max-width: 1023px) {
    .user-account_badge-container{
        display: none;
    }
    .all_user-account_forms_container {
        min-width: 300px;
    }
    .infos-form_container {
        display: flex;
        flex-direction: column;
        justify-content: center;
        width: 100%;
        background-color: white;
    }
    .user-account_container{
        background: none;
    }
    .user-account_form {
        padding: 0 0 20px 0 !important;
        background-color: white;
    }
    .user-password-form{
        padding: 0 0 20px 0 !important;
        background-color: white;
    }
    .input.readonly:read-only {
        border: 1px solid var(--blue-gray-100);
        background: none;
    }
    .user-account_input {
        width: 100%;
        min-width: 290px;
    }
    .user-account_input-password {
        width: 100%;
        min-width: 290px;
    }
    .user-account_btn {
        display: flex;
        justify-content: center;
        align-items: center;
        height: 45px;
        width: 100%;
        font-size: 14px;
    }
    .section_disconnect{
        padding: 0;
        border-top: 1px solid var(--blue-gray-100);
    }
    .button_user_disconnect{
        display: flex;
        justify-content: center;
        align-items: center;
        height: 100px;
    }
    .user_log_out{
        display: flex;
        flex-direction: row;
        justify-content: center;
        align-items: center;
        height: 60px;
        width: 200px;
        gap:10px;
        font-size: 18px;
        padding: 18px;
        color: white;
        background-color: #e72f2f;
        border-radius: 10px;
    }
    .user_log_out>img{
        height: 100%;
    }
    .users-useraccount>.users>.page>.page_content>.demandeList_datatable_nav_menu>.demandeList_datatable_nav {
        padding: 0;
    }
    .users-useraccount>.users>.page>.page_content>.demandeList_datatable_nav_menu>.dataTable_search_icon {
        display: none;
    }
    .users-useraccount>.users>.page>.page_content>.user-account_container>.all_user-account_forms_container>.forms_container{
        margin-bottom: 100px;
    }
    .users-useraccount>footer {
        z-index: 1000;
    }
}